LibreOffice LibreOffice 4.2 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Modules | Variables
UpdateDocMode.idl File Reference

Go to the source code of this file.

## Modules
module | com
| – idl definition –
module | com::sun
module | com::sun::star
| the module com::sun::star is the root module of the UNO API.
module | com::sun::star::document
| Office document related interfaces.

## Constant Groups
constants | com::sun::star::document::UpdateDocMode
| Specify the way a document can be updated.

## Variables
const short | NO_UPDATE = 0
| Do not update document. More...
const short | QUIET_UPDATE = 1
| Update document if it does not require a dialog. More...
const short | ACCORDING_TO_CONFIG = 2
| Produce update according to configuration settings. More...
const short | FULL_UPDATE = 3
| Update document even if it does require a dialog. More...